Name: sloccount
Summary: Measures source lines of code (SLOC) in programs
Version: 2.26
Release:    1%{?dist}
License: GPLv2+
Source0: http://www.dwheeler.com/sloccount/sloccount-%{version}.tar.gz
URL: https://sourceforge.net/projects/sloccount/
BuildRequires: make
BuildRequires: flex
BuildRequires: perl-generators
BuildRequires: gcc

%description
SLOCCount (pronounced "sloc-count") is a suite of programs for counting
physical source lines of code (SLOC) in potentially large software systems.

SLOCCount can be used to generate reports in different formats for use
by report-generating tools.

%prep
%autosetup

%build
make CC="${CC:-gcc} ${RPM_OPT_FLAGS} ${RPM_LD_FLAGS}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man1
make install_programs PREFIX=%{buildroot}%{_prefix}
make install_man PREFIX=%{buildroot}%{_prefix}
chmod 644 %{buildroot}%{_mandir}/man1/sloccount.1.gz
cmp %{buildroot}%{_bindir}/java_count %{buildroot}%{_bindir}/c_count && rm %{buildroot}%{_bindir}/java_count && ln -s c_count %{buildroot}%{_bindir}/java_count
cmp %{buildroot}%{_bindir}/sh_count %{buildroot}%{_bindir}/tcl_count && rm %{buildroot}%{_bindir}/tcl_count && ln -s sh_count %{buildroot}%{_bindir}/tcl_count
cmp %{buildroot}%{_bindir}/sh_count %{buildroot}%{_bindir}/sed_count && rm %{buildroot}%{_bindir}/sed_count && ln -s sh_count %{buildroot}%{_bindir}/sed_count
cmp %{buildroot}%{_bindir}/sh_count %{buildroot}%{_bindir}/ruby_count && rm %{buildroot}%{_bindir}/ruby_count && ln -s sh_count %{buildroot}%{_bindir}/ruby_count
cmp %{buildroot}%{_bindir}/sh_count %{buildroot}%{_bindir}/makefile_count && rm %{buildroot}%{_bindir}/makefile_count && ln -s sh_count %{buildroot}%{_bindir}/makefile_count
cmp %{buildroot}%{_bindir}/sh_count %{buildroot}%{_bindir}/exp_count && rm %{buildroot}%{_bindir}/exp_count && ln -s sh_count %{buildroot}%{_bindir}/exp_count
cmp %{buildroot}%{_bindir}/sh_count %{buildroot}%{_bindir}/csh_count && rm %{buildroot}%{_bindir}/csh_count && ln -s sh_count %{buildroot}%{_bindir}/csh_count
cmp %{buildroot}%{_bindir}/sh_count %{buildroot}%{_bindir}/awk_count && rm %{buildroot}%{_bindir}/awk_count && ln -s sh_count %{buildroot}%{_bindir}/awk_count

%files
%doc sloccount.html README ChangeLog COPYING TODO
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.26-1
- initial build
